HttpTransportChannelSupport (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.http.HttpTransportChannelSupport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.http
Class HttpTransportChannelSupport

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.http.HttpTransportChannelSupport

All Implemented Interfaces:
  Runnable, Service, TransportChannel

Direct Known Subclasses:
  HttpClientTransportChannel, HttpTransportChannel

public abstract class HttpTransportChannelSupport
extends TransportChannelSupport
implements Runnable

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`HttpTransportChannelSupport(TextWireFormat wireFormat, String remoteUrl)`

Method Summary
`boolean` | `canProcessWireFormatVersion(int version)` Can this wireformat process packets of this version
`SynchronizedBoolean` | `getClosed()`
`int` | `getCurrentWireFormatVersion()`
`String` | `getRemoteUrl()`
`SynchronizedBoolean` | `getStarted()`
`TextWireFormat` | `getWireFormat()`
`boolean` | `isMulticast()`
`void` | `setClientID(String clientID)` Provides a way to specify the client ID that this channel is using
`void` | `setWireFormat(TextWireFormat wireFormat)`
`void` | `start()` start listeneing for events
`protected void` | `startThread()`
`void` | `stop()` close the channel
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, send, send, setExceptionListener, setPacketListener, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.codehaus.activemq.transport.TransportChannel
`asyncSend`

Constructor Detail

### HttpTransportChannelSupport

    public HttpTransportChannelSupport(TextWireFormat wireFormat,
                                       String remoteUrl)

Method Detail

### isMulticast

    public boolean isMulticast()

  Specified by:
    `isMulticast` in interface `TransportChannel`
  Returns:
    true if this transport is multicast based (i.e. broadcasts to multiple nodes)

### start

    public void start()
               throws JMSException

  Description copied from interface: `TransportChannel`
  start listeneing for events

  Specified by:
    `start` in interface `TransportChannel`
  Throws:
    `JMSException` - if an error occurs

### startThread

    protected void startThread()

### stop

    public void stop()

  Description copied from class: `TransportChannelSupport`
  close the channel

  Specified by:
    `stop` in interface `TransportChannel`
  Overrides:
    `stop` in class `TransportChannelSupport`

### setClientID

    public void setClientID(String clientID)

  Description copied from interface: `TransportChannel`
  Provides a way to specify the client ID that this channel is using

  Specified by:
    `setClientID` in interface `TransportChannel`
  Overrides:
    `setClientID` in class `TransportChannelSupport`
  Parameters:
    `clientID` - set the clientID

### toString

    public String toString()

### canProcessWireFormatVersion

    public boolean canProcessWireFormatVersion(int version)

  Can this wireformat process packets of this version

  Specified by:
    `canProcessWireFormatVersion` in interface `TransportChannel`
  Parameters:
    `version` - the version number to test
  Returns:
    true if can accept the version

### getCurrentWireFormatVersion

    public int getCurrentWireFormatVersion()

  Specified by:
    `getCurrentWireFormatVersion` in interface `TransportChannel`
  Returns:
    the current version of this wire format

### getRemoteUrl

    public String getRemoteUrl()

### getWireFormat

    public TextWireFormat getWireFormat()

### setWireFormat

    public void setWireFormat(TextWireFormat wireFormat)

### getClosed

    public SynchronizedBoolean getClosed()

### getStarted

    public SynchronizedBoolean getStarted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.